<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Articulo;
use App\Models\EntradaArticulos;
use App\Models\Venta;
use Illuminate\Http\Request;

class ArticuloController extends Controller
{
    public function index()
    {
        $data = Articulo::all();
        return view('admin.articulo.index', compact('data'));
    }

    public function store(Request $request)
    {
        Articulo::create($request->all());
        alert()->success('Articulo', 'Creado Con Exito');
        return back();
    }

    public function edit(Articulo $articulo)
    {
        return view('admin.articulo.edit', compact('articulo'));
    }

    public function update(Request $request, Articulo $articulo)
    {
        $articulo->update($request->all());
        alert()->info('Articulo', 'Actualizado con Exito');
        return back();
    }

    public function delete(Articulo $articulo)
    {
        $articulo->delete();
        alert()->warning('Articulo', 'Eliminado Con Exito');
        return back();
    }

    public function valores()
    {
        $data = Articulo::all();
        return view('admin.articulo.valor', compact('data'));
    }

    public function storeValor(Request $request, Articulo $articulo)
    {

        if ($request->tipo === 'SALIDA') {
            $old_valor = $articulo->stock; // 100P
            $new_valor = $request->valor; // 60

            $t = $old_valor - $new_valor; // = 40

            $venta = new Venta();
            $venta->articulo_id = $articulo->id;
            $venta->cantidad = $t;
            $venta->p_venta = $articulo->p_venta;


            $articulo->stock = $new_valor;
            $articulo->save();
            $venta->save();
        } else {
            EntradaArticulos::create([
                'articulo_id' => $articulo->id,
                'cantidad' => $request->valor
            ]);

            $c = Articulo::find($articulo->id);
            $c->stock += $request->valor;
            $c->save();
        }



        alert()->success('ARTICULO', 'RECTIFICADO CON EXITO');
        return back();
    }
}
