<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Caja;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use RealRashid\SweetAlert\Facades\Alert;

class CajaController extends Controller
{
    public function create()
    {
        $data = Caja::where('user_id', Auth::user()->id)->whereDate('created_at', date('Y-m-d'))->get();
        return view('admin.caja.create', compact('data'));
    }

    public function store(Request $request)
    {
        Caja::create($request->all());
        alert()->success('CAJA','REGISTRO GUARDADO CON EXITO');
        return back();
    }

    public function delete(Caja $caja)
    {
        $caja->delete();
        alert()->info('CAJA','CAJA ELIMINADA CON EXITO');
        return back();
    }
}
