<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\AbonoEstuiante;
use App\Models\CreditoEstuiante;
use App\Models\Estuiante;
use Illuminate\Http\Request;

class EstudianteController extends Controller
{

    public function index()
    {
        $data = Estuiante::all();
        $td = 0;
        foreach ($data as $d) {
            $td += $d->t_deuda;
        }
        return view('admin.estudiantes.index', compact('data', 'td'));
    }

    public function store(Request $request)
    {
        Estuiante::create($request->all());
        alert()->success('Estudiante', 'Registrado Con Exito');
        return back();
    }

    public function update(Estuiante $estudiante, Request $request)
    {
        $estudiante->update($request->all());
        alert()->success('Estudiante', 'Actualizado Con Exito');
        return back();
    }

    public function delete(Estuiante $estudiante)
    {
        $estudiante->delete();
    }


    public function show(Estuiante $estudiante)
    {
        $data = $estudiante;
        $abonos = AbonoEstuiante::where('estudiante_id', $estudiante->id)->orderby('created_at', 'desc')->get();
        $credito = CreditoEstuiante::where('estudiante_id', $estudiante->id)->orderby('created_at', 'desc')->get();

        return view('admin.estudiantes.show', compact('data', 'credito', 'abonos'));
    }

    // ================
    // ABONOS
    // ================
    public function create_abono(Request $request)
    {
        AbonoEstuiante::create($request->all());

        $estudiante = Estuiante::find($request->estudiante_id);
        $estudiante->abono += $request->valor;
        $estudiante->save();

        alert()->success('Abono', 'Registrado Con Exito');
        return back();
    }

    public function delete_abono(AbonoEstuiante $abono)
    {

        // dd($abono);

        $estudiante = Estuiante::find($abono->estudiante_id);
        $estudiante->abono -= $abono->valor;
        $estudiante->save();

        $abono->delete();
        alert()->success('Abono', 'Eliminado Con Exito');
        return back();
    }

    // =================================================================
    //              CREDITO
    // =================================================================
    public function cretae_credito(Request $request)
    {

        $estudiante = Estuiante::find($request->estudiante_id);
        CreditoEstuiante::create($request->all());
        $estudiante->deuda += $request->valor;
        $estudiante->save();
        alert()->success('Credito', 'Registrado Con Exito');
        return back();
    }

    public function delete_credito(CreditoEstuiante $credito)
    {
        $estudiante = Estuiante::find($credito->estudiante_id);
        $estudiante->deuda -= $credito->valor;
        $estudiante->save();
        $credito->delete();
        alert()->info('Credito', 'Eliminado Con Exito');
        return back();
    }

    // =================================================================
    //              REPORTES
    // =================================================================

    public function printRecibo(AbonoEstuiante $abono)
    {
        return view('admin.estudiantes.printRecibo', compact('abono'));
    }


    public function balance(Estuiante $estudiante)
    {
        $abonos = AbonoEstuiante::where('estudiante_id', $estudiante->id)->orderby('created_at', 'desc')->get();
        $credito = CreditoEstuiante::where('estudiante_id', $estudiante->id)->orderby('created_at', 'desc')->get();

        return view('admin.estudiantes.balance', compact('estudiante', 'credito', 'abonos'));
    }
}
