@extends('layouts.simple')

@section('styles')
<link rel="stylesheet" href="{{asset('plugin/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection


@section('scripts')
<script src="{{asset('plugin/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugin/datatable/js/dataTables.bootstrap4.min.js')}}"></script>

<script>
   $(document).ready(function() {
      $('#table_id').DataTable({});
   });
</script>
@endsection

@section('content')
<div class="container mb-5 mt-3">
   <div class="row">
      <div class="col">
         <div class="card">
            <div class="card-body">

               <div class="d-flex justify-content-md-around">
                  <h4 class="card-title">VALORES ARTICULOS</h4>
               </div>
            </div>

            <table class="table" id="table_id">
               <thead>
                  <tr>
                     <th>ARTICULO</th>
                     <th>PRECIO VENTA</th>
                     <th>STOCK</th>
                     <th></th>
                  </tr>
               </thead>
               <tbody>
                  @foreach ($data as $d)
                  <tr>
                     <td>{{$d->nombre}}</td>
                     <td>Q. {{number_format($d->p_venta, 2)}}</td>
                     <td>{{$d->stock}}</td>
                     <th>
                        <form action="{{route('arti.storeValor', $d)}}" method="post">
                           @csrf
                           
                           <div class="form-group">
                             <label for="">TIPO</label>
                             <select class="form-control" name="tipo" id="">
                               <option value="ENTRADA">ENTRADA</option>
                               <option value="SALIDA">SALIDA</option>
                             </select>
                           </div>

                           <div class="form-group">
                             <input type="text" class="form-control" name="valor" value="">
                           </div>

                           <button type='submit' class='btn btn-success'><i class='fa fa-refresh' aria-hidden='true'></i></button>
                        </form>

                     </th>
                  </tr>
                  @endforeach
               </tbody>
            </table>
         </div>
      </div>
   </div>
</div>
</div>
@endsection