<!DOCTYPE html>
<html>

<head>
   <title>Recibo</title>
   <link rel="icon" type="image/png" sizes="16x16" href="{{asset('logos/logo.icon')}}">
   <meta name="viewport" content="width=device-width, initial-scale=1">
</head>

<style>
   @media print {

      .oculto-impresion,
      .oculto-impresion * {
         display: none !important;
      }
   }

   * {
      font-size: 12px;
      font-family: sans-serif;
      font-weight: 800;
   }

   td,
   th,
   tr,
   table {
      border-top: 1px solid black;
      border-collapse: collapse;
   }

   td.producto,
   th.producto {
      padding-left: 2px;
      width: 136px;
      max-width: 199px;
   }

   td.cantidad,
   th.cantidad {
      width: 76px;
      max-width: 76px;
      word-break: break-all;
   }

   td.precio,
   th.precio {
      width: 84px;
      max-width: 84px;
      word-break: break-all;
   }

   .centrado {
      text-align: center;
      align-content: center;
   }

   .ticket {
      width: 260px;
      max-width: 320px;
   }

   img {
      max-width: inherit;
      width: inherit;
   }

   @media (max-width: 768px) {

      body {
         zoom: 110%;
      }

   }
</style>

<body align="center">
   <div class="ticket">
      <div class="row">

         <img src="{{asset('logos/logo-dark.png')}}" alt="{{config('app.name', 'DeCoDev')}}" class="img-fluidd mt-4" style="border-radius: 25px; width: 165px !important; height: 155 !important;">
         <br>
         <center style="text-transform: uppercase;"><b>{{config('app.name')}}</b></center>

      </div>


      <p class="">

         ESTUDIANTE: {{$abono->estudiante->nombre}} <br>
         FECHA: {{$abono->created_at}} <br>
         TIPO: {{$abono->tipo}} <br>
         VALOR: Q. {{number_format($abono->valor, 2)}} <br>

      </p>

      <p>
         {{$abono->descripcion}}
      </p>

      <p>
         DEUDA: Q. {{number_format($abono->estudiante->t_deuda, 2)}}
      </p>

      <p class="centrado" style="text-transform: uppercase;">
         {{config('app.name')}}
      </p>

   </div>

   <button class="oculto-impresion" onclick="imprimir()">Imprimir</button>


   <script>
      function imprimir() {
         window.print();
      }

      window.onload = function() {
         // imprimir();
         // window.close();
      }
   </script>



</body>

</html>