@extends('layouts.simple')


@section('content')
<div class="container mb-5">
   <div class="row">
      <div class="col">

         <p class="text-center">
            LISTADO DE MENUS
         </p>

         <!-- Button trigger modal -->
         <button type="button" class="btn btn-primary btn-lg" data-toggle="modal" data-target="#modelId">
            NUEVO MENU
         </button>

         <!-- Modal -->
         <div class="modal fade" id="modelId" tabindex="-1" role="dialog" aria-labelledby="modelTitleId" aria-hidden="true">
            <div class="modal-dialog" role="document">
               <div class="modal-content">
                  <div class="modal-header">
                     <h5 class="modal-title">NUEVO MENU</h5>
                     <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                     </button>
                  </div>
                  <form action="{{route('menu.store')}}" method="post">
                     @csrf
                     <div class="modal-body">
                        <textarea name="menus" id="editor1" cols="30" rows="10"></textarea>


                        <div class="form-group">
                           <label for="">DIAS DE LA SEMNA</label>
                           <select class="form-control" name="dia">
                              <option value="LUNES">LUNES</option>
                              <option value="MARTES">MARTES</option>
                              <option value="MIERCOLES">MIERCOLES</option>
                              <option value="JUEVES">JUEVES</option>
                              <option value="VIERNES">VIERNES</option>
                           </select>
                        </div>

                        <div class="form-group">
                           <label for="">FECHA DE INICIO</label>
                           <input type="date" class="form-control" name="f_inicio">
                        </div>

                        <div class="form-group">
                           <label for="">FECHA FINAL</label>
                           <input type="date" class="form-control" name="f_fin">
                        </div>

                     </div>
                     <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal"><i class="fas fa-closed-captioning    "></i>CERRAR</button>
                        <button type="submit" class="btn btn-success"><i class="fas fa-save    "></i>GARDAR</button>
                     </div>
                  </form>
               </div>
            </div>
         </div>
         <div class="row">

            @foreach ($data as $d)
            <div class="col-md-4">
               <div class="card">
                  <img class="card-img-top" src="holder.js/100x180/" alt="">
                  <div class="card-body">
                     <p class="card-text"><?php echo $d->menus; ?></p>
                     <p class="card-text">DIA: <?php echo $d->dia; ?></p>
                     <p class="card-text">FECHA DE INICIO: <?php echo $d->f_inicio; ?></p>
                     <p class="card-text">FECHA FINAL: <?php echo $d->f_fin; ?></p>
                     <form action="{{route('menu.delete', $d)}}" method="post">
                        @csrf
                        @method('DELETE')
                        <button type='submit' class='btn btn-danger' onclick="return confirm('Esta SEguro de Eliminar?')"><i class='fa fa-trash' aria-hidden='true'></i></button>
                     </form>
                  </div>
               </div>
            </div>
            @endforeach

         </div>

      </div>
   </div>
</div>
@endsection



@section('scripts')
<script src="{{ asset('ckeditor/ckeditor.js')  }}"></script>
<script>
   CKEDITOR.replace('editor1', {
      // uiColor: '#0B0D48',
   });
</script>

@endsection