<!doctype html>
<html lang="en">

<head>
   <title>{{config('app.name')}}</title>
   <!-- Required meta tags -->
   <meta charset="utf-8">
   <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
   <!-- Bootstrap CSS -->
   <link rel="stylesheet" href="{{asset('bootstrap.min.css')}}" crossorigin="anonymous">
   <script src="{{asset('fontaweson/fontaws.js')}}"></script>
   @yield('styles')

   <style>
      pagination {
         --bs-pagination-disabled-bg: #1c3e37;
      }
   </style>

</head>

<body>

   <nav class="navbar navbar-expand-md navbar-light bg-light">
      <a class="navbar-brand" href="#">{{config('app.name')}}</a>
      <button class="navbar-toggler d-lg-none" type="button" data-toggle="collapse" data-target="#collapsibleNavId" aria-controls="collapsibleNavId" aria-expanded="false" aria-label="Toggle navigation">
         <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="collapsibleNavId">
         <ul class="navbar-nav mt-2 mt-lg-0 ml-auto text-center" style="margin-left: auto;">

            <li class="nav-item">
               <a class="nav-link" href="{{route('home')}}">Inicio |</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="{{route('cr.create')}}">Cuadre Recesos |</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="{{route('ci.create')}}">Cierre De Caja |</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="{{route('caja.index')}}">Caja |</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="{{route('arti.index')}}">Registro Nuevo Articulo |</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="{{route('arti.valores')}}">Entradas y Salidas Articulos |</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="{{route('menu.index')}}">Menus |</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="{{route('home')}}">Usuarios |</a>
            </li>
            
            <li class="nav-item">
               <a class="nav-link" href="{{route('estu.index')}}">Estudiantes |</a>
            </li>

            <li class="nav-item">
               <form action="{{route('logout')}}" method="post">@csrf <button type="submit" class="btn btn-primary">CERRAR SESSION</button></form>
            </li>



         </ul>
      </div>
   </nav>


   @include('sweetalert::alert', ['cdn' => "https://cdn.jsdelivr.net/npm/sweetalert2@9"])

   @yield('content')

   <!-- Optional JavaScript -->
   <!-- jQuery first, then Popper.js, then Bootstrap JS -->
   <script src="{{asset('jquery.min.js')}}"></script>
   <script src="{{asset('popper.min.js')}}"></script>
   <script src="{{asset('bootstrap.min.js')}}"></script>

   @yield('scripts')
</body>

</html>